# -*- coding: utf-8 -*-
#
# Copyright (c) 2006-2007 by:
#     Blue Dynamics Alliance
#         * Klein & Partner KEG, Austria
#         * Squarewave Computing Robert Niederreiter, Austria
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.

__author__ = """Robert Niederreiter <rnix@squarewave.at>"""
__docformat__ = 'plaintext'

from zope.interface import Interface
from zope.interface import Attribute

class IFsCacheProperties(Interface):
    """Interface to provide filesystem cache properties
    """
    
    cache_enabled = Attribute('boolean wether cache is enabled or not')
    timeout = Attribute('integer defining the cache timeout in seconds')
    cachedir = Attribute('string defining the abs path to the cache dir')


class ISMTPProperties(Interface):
    """Interface to provide SMTP preferences.
    """
    
    server = Attribute('string defining the SMTP server')
    port = Attribute('integer defining the SMTP port')
    user = Attribute('string defining the username')
    passwd = Attribute('string defining the password for authentication')
    auth_required = Attribute('boolean wether auth is required or not')

class IWebmailProperties(Interface):
    """Interface to provide general webmail properties.
    """
    
    max_messages = Attribute('Max messages per page')
    real_name = Attribute('Realname')
    email_address = Attribute('E-Mail address')
    create_format = Attribute('Create format for new messages')
    actions = Attribute('actions')
    message_part_information = Attribute('Show message part information')
