# -*- coding: utf-8 -*-
#
# Copyright (c) 2006-2007 by:
#     Blue Dynamics Alliance
#         * Klein & Partner KEG, Austria
#         * Squarewave Computing Robert Niederreiter, Austria
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.

__author__ = """Robert Niederreiter <rnix@squarewave.at>"""
__docformat__ = 'plaintext'

from zope.i18nmessageid import MessageFactory
_ = MessageFactory('bluewebmail')

def generateMessage(id, mapping=None):
    id = unicode(id)
    text = statusmessages.get(id, u'Unknown Message Id: %s' % id)
    return _(id, text, mapping)

statusmessages = {
    'messages_copied': u'Message(s) copied',
    
    'messages_moved': u'Message(s) moved',
    
    'messages_deleted': u'Message(s) deleted',
    
    'copy_messages_not_allowed': u'Copying to Sent Folder not allowed',
                                   
    'move_messages_not_allowed': u'Moving to Sent Folder not allowed',
                                   
    'move_to_self_not_allowed': u'Canceled move action, source and ' + \
                                   'destination is the same',
                                   
    'no_folder_name': u'No foldername given',
                        
    'invalid_folder_name': u'Folder creation failed. Invalid foldername.',
                              
    'cannot_create_folder': u'Cannot create this Folder here',
                              
    'folder_created': u'Folder ${folder} created',
                        
    'cannot_delete_default_folder': u'Cannot delete default Folder',
                                      
    'folder_deleted': u'Folder ${folder} deleted',
    
    'message_sent': u'Message Sent',
    
    'sending_failed': u'Sending failed. Reason: ${reason}',
    
    'invalid_receips': u'Message Sent. The following receips are ' + \
                        'invalid: ${invalid}',
    
    'no_receips_given': u'Sending Failed. No Receivers given.',
    
    'invalid_receips_count': u'Sending failed. ${count} Receivers found, ' + \
                              'but only ${limit} allowed.',
    
    'message_saved_to_drafts_folder': u'Message saved to Drafts Folder.',
    
}
 