# -*- coding: utf-8 -*-
#
# Copyright (c) 2006-2007 by:
#     Blue Dynamics Alliance
#         * Klein & Partner KEG, Austria
#         * Squarewave Computing Robert Niederreiter, Austria
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.

__author__ = """Robert Niederreiter <rnix@squarewave.at>"""
__docformat__ = 'plaintext'

from base64 import encodestring, decodestring
from pickle import dumps, loads
from email.Header import decode_header
from config import MAILMESSAGEKEY
from statusmessages import generateMessage

def decodeHeader(header):
    if not header:
        return ''
    
    header = decode_header(header)
    decoded = ''
    
    for part in header:
        if part[1] is None:
            decoded = '%s %s' % (decoded, part[0])
        else:
            decoded = '%s %s' % (decoded, part[0].decode(part[1]))
    
    return decoded.strip()

def getWebmailMessage(request):
    message = request.cookies.get(MAILMESSAGEKEY, None)
    if not message:
        return None
    message = loads(decodestring(message))
    request.RESPONSE.expireCookie(MAILMESSAGEKEY, path='/')
    return message

def setWebmailMessage(request, id, mapping=None):
    message = generateMessage(id, mapping=mapping)
    message = encodestring(dumps(message)).replace('\n','')
    request.cookies[MAILMESSAGEKEY] = message
    request.RESPONSE.setCookie(MAILMESSAGEKEY, message, path='/')


